Skip to main content
GET
/
v3
/
settlement
/
{id}
/
transactions
/
collect
Fetch Collects
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/collect \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/collect"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "",
  "data": {
    "has_more": false,
    "object": "list",
    "result": [
      {
        "balance_transaction_id": "",
        "id": "col_coah2ucoc78qp6pbv7f0"
      },
      {
        "balance_transaction_id": "",
        "id": "col_coah3f4oc78qp6pbvch0"
      },
      {
        "balance_transaction_id": "",
        "id": "col_coah5c4oc78qp6pc04ug"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the settlement for which you want to fetch the list of collects

Query Parameters

ending_before
string

A cursor for use in pagination. Takes a collect ID as input

starting_after
string

A cursor for use in pagination. Takes a collect ID as input

limit
integer<int32>

The number of objects to be fetched. By default 10; can be from 1 to 100

Response

200 - application/json

200

status
string
message
string
data
object